Subject: Re: linux-next: manual merge of the arm tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 7 Jul 2008 20:39:28 +1000

Hi Russell,

On Mon, 7 Jul 2008 10:12:43 +0100 Russell King <[email-masked]> wrote:
>
> On Fri, Jul 04, 2008 at 04:57:12PM +1000, Stephen Rothwell wrote:
> > Today's linux-next merge of the arm tree got a conflict in
> > arch/arm/kernel/time.c between commit
> > 5b01a6a61c48d8e6ab4679d6e6208f5962d07b85 ("sysdev: Pass the attribute to
> > the low level sysdev show/store function") from the driver-core tree and
> > commit 205bee6ad804d7034773b5978c74dde495df2301 ("[ARM] dyntick: Remove
> > obsolete and unused ARM dyntick support") from the arm tree.
> > 
> > The arm commit just removed some code that the driver-core commit
> > modified.  So I removed it and can carry the fixup.
> 
> I think that's a merge issue which Linus is also going to have to deal
> with when it happens, since there's no real solution to committing
> "fixes" to our trees without the fix causing the tree in isolation to
> break.

That's what I mean by "I .. can carry the fixup".  I assume Linus is
smarter than I am and is able to do any merge fixup I am capable of.  Or
you (or Greg) will merge/rebase on some version of Linus' tree and do the
fixup before sending your tree to him.

These messages about inter tree conflicts are mostly "heads up".
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/